## nxtvepg 0.7.0

=== Makefile ===
#
#  UNIX Makefile for Nextview EPG decoder
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License Version 2 as
#  published by the Free Software Foundation. You find a copy of this
#  license in the file COPYRIGHT in the root directory of this release.
#
#  THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
#  BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
#  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#
#  Description:
#
#    Controls compilation of C and Tcl/Tk source to an executable on
#    UNIX systems. For Windows a separate Makefile is launched (this
#    requires the CygWin GNU port).  Tcl/Tk source is converted to a
#    C string by tcl2c.  Help and manpage are created by Perl utilities;
#    the releases comes with pre-generated manpage and help, so that
#    Perl is not required to install the package.  Dependencies are
#    generated into a separate file.
#
#  Author: Tom Zoerner
#
#  $Id: Makefile,v 1.40 2002/03/02 12:52:01 tom Exp tom $
#

ifeq ($(OS),Windows_NT)
# for Windows a separate makefile is used
include Makefile.win32
else

ROOT    =
prefix  = /usr/local
exec_prefix = ${prefix}
bindir  = $(ROOT)${exec_prefix}/bin
mandir  = $(ROOT)${prefix}/man/man1

# if you have perl set the path here, else just leave it alone
PERL    = /usr/bin/perl

LDLIBS  = -ltk8.3 -ltcl8.3 -L/usr/X11R6/lib -lX11 -lXmu -lm -ldl
# use static libraries for debugging only
#LDLIBS  = dbglib/libtk8.3.a dbglib/libtcl8.3.a -lX11 -lm -ldl -L/usr/X11R6/lib

INCS   += -I. -I/usr/X11R6/include
# path to Tcl/Tk headers, if not properly installed
#INCS   += -I/usr/local/tcl/tcl8.0/generic -I/usr/local/tcl/tk8.0/generic

# path to Tcl/Tk script library (Tk is usually in X11/lib/tk#.#)
DEFS   += -DTK_LIBRARY_PATH=\"/usr/lib/tk8.3\"
DEFS   += -DTCL_LIBRARY_PATH=\"/usr/lib/tcl8.3\"

# enable use of multi-threading
DEFS   += -DUSE_THREADS
LDLIBS += -lpthread

# enable use of daemon and client/server connection
DEFS   += -DUSE_DAEMON

# path to the directory where the provider database files are kept
DB_DIR  = /usr/tmp/nxtvdb
DEFS   += -DEPG_DB_DIR=\"$(DB_DIR)\"
INST_DB_DIR = $(ROOT)$(DB_DIR)

WARN    = -Wall -Wnested-externs -Wstrict-prototypes -Wmissing-prototypes
#WARN  += -Wpointer-arith -Werror
CC      = gcc
CFLAGS  = -pipe $(WARN) $(INCS) $(DEFS) -O6

# ----- don't change anything below ------------------------------------------

CSRC    = epgvbi/vbidecode epgvbi/tvchan epgvbi/btdrv4linux epgvbi/hamming \
          epgvbi/cni_tables \
          epgctl/debug epgctl/epgacqctl epgctl/epgscan epgctl/epgctxctl \
          epgctl/epgctxmerge epgctl/epgacqclnt epgctl/epgacqsrv \
          epgdb/epgdbacq epgdb/epgstream epgdb/epgdbmerge epgdb/epgdbsav \
          epgdb/epgdbmgmt epgdb/epgdbif epgdb/epgdbfil epgdb/epgblock \
          epgdb/epgnetio epgdb/epgqueue epgdb/epgtscqueue \
          epgui/uictrl epgui/pilistbox epgui/pioutput epgui/pifilter \
          epgui/statswin epgui/timescale epgui/pdc_themes epgui/menucmd \
          epgui/epgmain epgui/xawtv epgui/epgtxtdump
CGEN    = epgui/epgui epgui/help

SRCS    = $(addsuffix .c, $(CSRC)) $(addsuffix .c, $(CGEN))
OBJS    = $(addsuffix .o, $(CSRC)) $(addsuffix .o, $(CGEN))

all: nxtvepg nxtvepg.1

nxtvepg: $(OBJS)
	$(CC) $(CFLAGS) $(INCS) $(LDFLAGS) -o nxtvepg $(OBJS) $(LDLIBS)

install: nxtvepg nxtvepg.1
	test -d $(bindir) || mkdirhier $(bindir)
	test -d $(mandir) || mkdirhier $(mandir)
	test -d $(INST_DB_DIR) || mkdirhier $(INST_DB_DIR)
	chmod 0777 $(INST_DB_DIR)
	install -c -m 0755 nxtvepg     $(bindir)
	install -c -m 0644 nxtvepg.1   $(mandir)
	rm -f $(mandir)/nxtvepg.1x

##%.o: %.c
##	$(CC) $(CFLAGS) -c *.c -o *.o

tcl2c: tcl2c.c
	$(CC) -O -o tcl2c tcl2c.c

epgui/epgui.c: epgui/epgui.tcl tcl2c
	egrep -v '^ *#' epgui/epgui.tcl | ./tcl2c epgui_tcl_script > epgui/epgui.c

epgui/help.c: epgui/help.tcl tcl2c
	egrep -v '^ *#' epgui/help.tcl | ./tcl2c help_tcl_script > epgui/help.c

nxtvepg.1 man.html epgui/help.tcl: nxtvepg.pod pod2help.pl
	@if test -x $(PERL); then \
	  EPG_VERSION_STR=`egrep '[ \t]*#[ \t]*define[ \t]*EPG_VERSION_STR' epgctl/epgversion.h | head -1 | cut -d\" -f2`; \
	  echo "./pod2help.pl nxtvepg.pod > epgui/help.tcl"; \
	  ./pod2help.pl nxtvepg.pod > epgui/help.tcl; \
	  echo "pod2man nxtvepg.pod > nxtvepg.1"; \
	  pod2man -date " " -center "Nextview EPG Decoder" -section "1" \
	          -release "nxtvepg "$$EPG_VERSION_STR" (C) 1999-2001 Tom Zoerner" \
	     nxtvepg.pod > nxtvepg.1; \
	  echo "pod2html nxtvepg.pod > man.html"; \
	  pod2html nxtvepg.pod > man.html; \
	  rm -f pod2html-{dircache,itemcache}; \
	elif test -f epgui/help.tcl; then \
	  touch epgui/help.tcl; \
	else \
	  echo "ERROR: cannot generate epgui/help.tcl or nxtvepg.1 without Perl"; \
	  false; \
	fi

clean:
	-rm -f *.o epg*/*.o core a.out tcl2c nxtvepg
	-rm -f epgui/epgui.c epgui/help.c

depend:
	-:>Makefile.dep
	DIRLIST=`(for cmod in $(CSRC); do echo $$cmod; done) | cut -d/ -f1 | sort -u`; \
	for dir in $$DIRLIST; do \
	  CLIST=`(for src in $(addsuffix .c, $(CSRC)); do echo $$src; done) | grep $$dir/`; \
	  gcc -MM $(INCS) $(DEFS) $$CLIST | \
	  sed -e 's#^.*\.o#'$$dir/'&#g' >> Makefile.dep; \
	done

bak:
	cd .. && tar cf pc.tar pc -X pc/tar-ex && bzip2 -f -9 pc.tar
	cd .. && tar cf /e/pc.tar pc -X pc/tar-ex-win

include Makefile.dep

# end UNIX specific part
endif

=== debian/changelog ===
nxtvepg (0.7.0) unstable; urgency=low

  * new upstream release (closes: #138775).
  * spell fix (closes: #125196).

 -- Gerd Knorr <kraxel@debian.org>  Tue,  9 Apr 2002 16:53:10 +0200

nxtvepg (0.6.4-1.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Remove -O3 flag on hppa, to allow building.  (Closes: #126573)

 -- David Schleef <ds@schleef.org>  Sun, 17 Feb 2002 01:50:36 -0800

nxtvepg (0.6.4-1) unstable; urgency=low

  * new upstream release (closes: #120248,#121615).

 -- Gerd Knorr <kraxel@debian.org>  Wed, 12 Dec 2001 18:31:00 +0100

nxtvepg (0.5.2-2) unstable; urgency=low

  * added xutils (mkdirhier) to build dependences (closes: #107755).

 -- Gerd Knorr <kraxel@debian.org>  Mon,  6 Aug 2001 12:13:21 +0200

nxtvepg (0.5.2-1) unstable; urgency=low

  * Initial Release.

 -- Gerd Knorr <kraxel@debian.org>  Sun, 11 Feb 2001 18:03:35 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: nxtvepg
Section: utils
Priority: extra
Build-Depends: debhelper (>=2), tk8.3-dev, tcl8.3-dev, xutils
Maintainer: Gerd Knorr <kraxel@debian.org>
Standards-Version: 3.5.2

Package: nxtvepg
Architecture: any
Depends: ${shlibs:Depends}
Description: Nextview EPG decoder and browser
 In this software package you find a decoder for Nextview - an Electronic
 TV Programme Guide for the analog domain (as opposed to the various digital
 EPGs that come with most digital broadcasts). It allows you to decode and
 browse TV programme listings for most of the major networks in Germany,
 Austria, France and Switzerland.
 .
 Currently Nextview EPG is transmitted by:
  - in Germany and Austria: Pro7, 3Sat, RTL-II.
  - in Switzerland: EuroNews, SF1, TSR1.
  - in France: Canal+, M6, TV5.
  - in Turkey: TRT (as of June/2001 still a test transmission)
 .
 The EPG information is read from /dev/vbi, i.e. you need some TV card
 which provides a VBI data stream.  bttv cards work.  zoran might work
 too, but I haven't tested that due to lack of hardware...

=== debian/rules ===
#!/usr/bin/make -f

HERE := $(shell pwd)
WORK := $(HERE)/work
DEST := $(HERE)/debian/tmp
TARS := $(wildcard $(HERE)/dist/*.tar.gz)
DIFF := $(wildcard $(HERE)/patches/*.diff)

# debhelper
#export DH_VERBOSE=1
export DH_COMPAT=2

# different cflags for different archs ...
hppa-linux-cflags	:= -O0
default-cflags		:= -O3
arch-cflags		:= $($(DEB_BUILD_GNU_TYPE)-cflags)
ifeq ($(arch-cflags),)
arch-cflags		:= $(default-cflags)
endif

build: work build-it

work:
	@mkdir -p work.tmp
	@(cd work.tmp; set -e;				\
		echo "###";				\
		for tar in $(TARS); do			\
			echo "### unpacking $$tar";	\
			tar xzf $$tar;			\
		done;					\
		cd *;					\
		for diff in $(DIFF); do			\
			echo "### applying $$diff";	\
			patch -p1 < $$diff;		\
		done;					\
		echo "###")
	@mv work.tmp work

build-it: work
	dh_testdir
	cd $(WORK)/*; set -xe; make			\
		prefix=/usr				\
		mandir=/usr/share/man/man1		\
		ARCH_CFLAGS=$(arch-cflags)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf work work.tmp
	rm -f build-*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(WORK)/*; make				\
		ROOT=$(DEST)				\
		prefix=/usr				\
		mandir=$(DEST)/usr/share/man/man1	\
		install

	dh_movefiles

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs		$(WORK)/*/README
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
#	dh_makeshlibs -V
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## nxtvepg 2.6.0

=== Makefile ===
#
#  UNIX Makefile for Nextview EPG decoder
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License Version 2 as
#  published by the Free Software Foundation. You find a copy of this
#  license in the file COPYRIGHT in the root directory of this release.
#
#  THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
#  BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
#  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#
#  Description:
#
#    Controls compilation of C and Tcl/Tk source to an executable on
#    UNIX systems. For Windows a separate Makefile is launched (this
#    requires the CygWin GNU port).  Tcl/Tk source is converted to a
#    C string by tcl2c.  Help and manpage are created by Perl utilities;
#    the releases comes with pre-generated manpage and help, so that
#    Perl is not required to install the package.  Dependencies are
#    generated into a separate file.
#
#    To compile the package simply type "make", to compile and install
#    type "make install" (without the quotes).  If compilation fails
#    you may have to adapt some paths below.
#
#  Author: Tom Zoerner
#
#  $Id: Makefile,v 1.65 2003/09/28 18:31:31 tom Exp tom $
#

ifeq ($(OS),Windows_NT)
# for Windows a separate makefile is used
include Makefile.win32
else
OS = $(shell uname)
ifeq ($(OS), FreeBSD)
include Makefile.bsd
else
ifeq ($(OS), NetBSD)
include Makefile.bsd
else

ROOT    =
prefix  = /usr/local
exec_prefix = ${prefix}
bindir  = $(ROOT)${exec_prefix}/bin
mandir  = $(ROOT)${prefix}/man/man1
resdir  = $(ROOT)/usr/X11R6/lib/X11

# if you have perl set the path here, else just leave it alone
PERL    = /usr/bin/perl

# select Tcl/Tk version (8.3 recommended; text widget in 8.4. is slower)
TCL_VER := $(shell echo 'puts [package require Tcl]' | tclsh)
#TCL_VER = 8.4

LDLIBS  = -ltk$(TCL_VER) -ltcl$(TCL_VER) -L/usr/X11R6/lib -lX11 -lXmu -lm -ldl

# use static libraries for debugging only
#LDLIBS += -Ldbglib -static

INCS   += -I. -I/usr/X11R6/include
DEFS   += -DX11_APP_DEFAULTS=\"$(resdir)/app-defaults/Nxtvepg\"
# path to Tcl/Tk headers, if not properly installed
#INCS   += -I/usr/local/tcl/tcl8.0/generic -I/usr/local/tcl/tk8.0/generic

# path to Tcl/Tk script library (Tk is usually in X11/lib/tk#.#)
TK_LIBRARY_PATH  = /usr/lib/tk$(TCL_VER)
TCL_LIBRARY_PATH = /usr/lib/tcl$(TCL_VER)
DEFS   += -DTK_LIBRARY_PATH=\"$(TK_LIBRARY_PATH)\"
DEFS   += -DTCL_LIBRARY_PATH=\"$(TCL_LIBRARY_PATH)\"

# enable use of multi-threading
DEFS   += -DUSE_THREADS
LDLIBS += -lpthread

# enable use of daemon and client/server connection
DEFS   += -DUSE_DAEMON

# enable use of zvbi slicer (does not require the zvbi library)
#DEFS   += -DZVBI_DECODER

# enable workarounds for linux saa7134 driver: up to version 0.2.6
# - change VBI default sampling rate (because the driver doesn't support ioctl VIDIOCGVBIFMT)
# - skip ioctls VIDIOCGTUNER and  VIDIOCSTUNER
# - fix video field sequence
#DEFS   += -DSAA7134_0_2_2

# The database directory can be either in the user's $HOME (or relative to any
# other env variable) or at a global place like /var/spool (world-writable)
# -> uncomment 2 lines below to put the databases in the user's home
#USER_DBDIR  = .nxtvdb
#DEFS       += -DEPG_DB_ENV=\"HOME\" -DEPG_DB_DIR=\"$(USER_DBDIR)\"
ifndef USER_DBDIR
SYS_DBDIR    = /usr/tmp/nxtvdb
DEFS        += -DEPG_DB_DIR=\"$(SYS_DBDIR)\"
INST_DB_DIR  = $(ROOT)$(SYS_DBDIR)
INST_DB_PERM = 0777
endif

WARN    = -Wall -Wnested-externs -Wstrict-prototypes -Wmissing-prototypes
#WARN  += -Wpointer-arith -Werror
CC      = gcc
# the following flags can be overridden by an environment variable with the same name
CFLAGS ?= -pipe -O
CFLAGS += $(WARN) $(INCS) $(DEFS)
#LDLIBS += -pg

# end Linux specific part
endif
endif

# ----- don't change anything below ------------------------------------------

CSRC    = epgvbi/btdrv4linux epgvbi/vbidecode epgvbi/zvbidecoder \
          epgvbi/ttxdecode epgvbi/hamming epgvbi/cni_tables epgvbi/tvchan \
          epgvbi/syserrmsg \
          epgctl/debug epgctl/epgacqctl epgctl/epgscan epgctl/epgctxctl \
          epgctl/epgctxmerge epgctl/epgacqclnt epgctl/epgacqsrv \
          epgdb/epgstream epgdb/epgdbmerge epgdb/epgdbsav \
          epgdb/epgdbmgmt epgdb/epgdbif epgdb/epgdbfil epgdb/epgblock \
          epgdb/epgnetio epgdb/epgqueue epgdb/epgtscqueue \
          epgui/pibox epgui/pilistbox epgui/pinetbox epgui/piremind \
          epgui/uictrl epgui/pioutput epgui/pidescr epgui/pifilter \
          epgui/statswin epgui/timescale epgui/pdc_themes epgui/menucmd \
          epgui/epgmain epgui/loadtcl epgui/xawtv epgui/wintvcfg \
          epgui/dumptext epgui/dumpraw epgui/dumphtml epgui/dumpxml \
          epgui/shellcmd epgui/wmhooks
TCLSRC  = epgtcl/mainwin epgtcl/helptexts epgtcl/dlg_hwcfg epgtcl/dlg_xawtvcf \
          epgtcl/dlg_ctxmencf epgtcl/dlg_acqmode epgtcl/dlg_netsel \
          epgtcl/dlg_dump epgtcl/dlg_netname epgtcl/dlg_udefcols \
          epgtcl/shortcuts epgtcl/dlg_shortcuts epgtcl/draw_stats \
          epgtcl/dlg_filter epgtcl/dlg_substr epgtcl/dlg_remind \
          epgtcl/dlg_prov epgtcl/rcfile \
          epgtcl/mclistbox epgtcl/combobox epgtcl/rnotebook

OBJS    = $(addsuffix .o, $(CSRC)) $(addsuffix .o, $(TCLSRC))

.PHONY: all
all :: tcl_headers nxtvepg nxtvepg.1

nxtvepg: $(OBJS)
	$(CC) $(LDFLAGS) -o nxtvepg $(OBJS) $(LDLIBS)

install: nxtvepg nxtvepg.1 Nxtvepg.ad
	test -d $(bindir) || install -d $(bindir)
	test -d $(mandir) || install -d $(mandir)
	test -d $(resdir)/app-defaults || install -d $(resdir)/app-defaults
ifndef USER_DBDIR
	test -d $(INST_DB_DIR) || install -d $(INST_DB_DIR)
	chmod $(INST_DB_PERM) $(INST_DB_DIR)
endif
	install -c -m 0755 nxtvepg     $(bindir)
	install -c -m 0644 nxtvepg.1   $(mandir)
	install -c -m 0644 Nxtvepg.ad  $(resdir)/app-defaults/Nxtvepg
	rm -f $(mandir)/nxtvepg.1x

.SUFFIXES: .c .o .tcl

%.c: %.tcl tcl2c
	./tcl2c -d -c -h $*.tcl

# %.h rule disabled because tcl2c doesn't update timestamp of generated headers
# unless they changed, to avoid excessive re-compilation after internal script
# changes. note: this also requires to add a rule for all .tcl sources in front
# of objects and depend targets to make sure all headers are already generated
# when required, since there's no rule to generate them from Tcl scripts.
#
.PHONY: tcl_headers
tcl_headers: $(addsuffix .c, $(TCLSRC))
##%.h: %.tcl tcl2c
##	./tcl2c -d -c -h $*.tcl

tcl2c: tcl2c.c
	$(CC) $(CFLAGS) -o tcl2c tcl2c.c

$(TCL_LIBRARY_PATH)/tclIndex $(TK_LIBRARY_PATH)/tclIndex :
	@echo "$(@D) is not a valid Tcl/Tk library directory"
	@echo "Check the definitions of TCL_LIBRARY_PATH and TK_LIBRARY_PATH"
	@false

epgui/loadtcl.c :: $(TCL_LIBRARY_PATH)/tclIndex $(TK_LIBRARY_PATH)/tclIndex

nxtvepg.1 manual.html epgtcl/helptexts.tcl: nxtvepg.pod pod2help.pl
	@if test -x $(PERL); then \
	  EPG_VERSION_STR=`egrep '[ \t]*#[ \t]*define[ \t]*EPG_VERSION_STR' epgctl/epgversion.h | head -1 | cut -d\" -f2`; \
	  echo "$(PERL) pod2help.pl nxtvepg.pod > epgtcl/helptexts.tcl"; \
	  $(PERL) pod2help.pl nxtvepg.pod > epgtcl/helptexts.tcl; \
	  echo "pod2man nxtvepg.pod > nxtvepg.1"; \
	  pod2man -date " " -center "Nextview EPG Decoder" -section "1" \
	          -release "nxtvepg "$$EPG_VERSION_STR" (C) 1999-2003 Tom Zoerner" \
	     nxtvepg.pod > nxtvepg.1; \
	  echo "pod2html nxtvepg.pod > manual.html"; \
	  pod2html nxtvepg.pod | $(PERL) -p -e 's/HREF="#[^:]+: +/HREF="#/g;' > manual.html; \
	  rm -f pod2htm?.x~~ pod2html-{dircache,itemcache}; \
	elif test -f epgtcl/helptexts.tcl; then \
	  touch epgtcl/helptexts.tcl; \
	else \
	  echo "ERROR: cannot generate epgtcl/helptexts.tcl or nxtvepg.1 without Perl"; \
	  false; \
	fi

.PHONY: clean depend bak
clean:
	-rm -f *.o epg*/*.o dsdrv/*.[oa] tvsim/*.o
	-rm -f core a.out *.exe tcl2c nxtvepg
	-rm -f epgtcl/*.[ch] epgtcl/tcl_libs.tcl epgtcl/tk_libs.tcl
	-rm -f tvsim/tvsim_gui.[ch] tvsim/vbirec_gui.[ch]

depend: tcl_headers
	-:>Makefile.dep
	DIRLIST=`(for cmod in $(CSRC) $(TCLSRC); do echo $$cmod; done) | cut -d/ -f1 | sort -u`; \
	for dir in $$DIRLIST; do \
	  CLIST=`(for src in $(addsuffix .c, $(CSRC)) $(addsuffix .c, $(TCLSRC)); do echo $$src; done) | grep $$dir/`; \
	  gcc -MM $(INCS) $(DEFS) $$CLIST | \
	  sed -e 's#^.*\.o#'$$dir/'&#g' >> Makefile.dep; \
	done

bak:
	cd .. && tar cf /c/transfer/pc.tar pc -X pc/tar-ex-win
#	cd .. && tar cf pc1.tar pc -X pc/tar-ex && bzip2 -f -9 pc1.tar
#	tar cf ../pc2.tar www ATTIC dsdrv?* tk8* tcl8* && bzip2 -f -9 ../pc2.tar

include Makefile.dep

# end UNIX specific part
endif

## nxtvepg 2.7.1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 #
 #  Author: Tom Zoerner
 #
-#  $Id: Makefile,v 1.65 2003/09/28 18:31:31 tom Exp tom $
+#  $Id: Makefile,v 1.76 2004/07/18 12:58:31 tom Exp tom $
 #
 
 ifeq ($(OS),Windows_NT)
@@ -57,6 +57,10 @@
 TCL_VER := $(shell echo 'puts [package require Tcl]' | tclsh)
 #TCL_VER = 8.4
 
+ifeq ($(shell test -d /usr/include/tcl$(TCL_VER) && echo YES),YES)
+INCS   += -I/usr/include/tcl$(TCL_VER)
+endif
+
 LDLIBS  = -ltk$(TCL_VER) -ltcl$(TCL_VER) -L/usr/X11R6/lib -lX11 -lXmu -lm -ldl
 
 # use static libraries for debugging only
@@ -67,7 +71,7 @@
 # path to Tcl/Tk headers, if not properly installed
 #INCS   += -I/usr/local/tcl/tcl8.0/generic -I/usr/local/tcl/tk8.0/generic
 
-# path to Tcl/Tk script library (Tk is usually in X11/lib/tk#.#)
+# path to Tcl/Tk script library (note Tk is sometimes in X11/lib/tk#.#)
 TK_LIBRARY_PATH  = /usr/lib/tk$(TCL_VER)
 TCL_LIBRARY_PATH = /usr/lib/tcl$(TCL_VER)
 DEFS   += -DTK_LIBRARY_PATH=\"$(TK_LIBRARY_PATH)\"
@@ -80,8 +84,16 @@
 # enable use of daemon and client/server connection
 DEFS   += -DUSE_DAEMON
 
-# enable use of zvbi slicer (does not require the zvbi library)
-#DEFS   += -DZVBI_DECODER
+# specify path to header file for video4linux device driver (default: use internal copy)
+#DEFS  += -DPATH_VIDEODEV_H=\"/usr/include/linux/videodev.h\"
+
+# enable use of libzvbi
+#DEFS   += -DUSE_LIBZVBI
+# enable use of VBI proxy via libzvbi (requires proxy branch of libzvbi)
+# (note proxy API is still subject to change as of March-2004)
+#DEFS   += -DUSE_VBI_PROXY
+#LDLIBS += -lzvbi -lpthread -lpng
+#LDLIBS += /tom/work/tv/cvs/vbi/src/.libs/libzvbi.a -lpthread -lpng
 
 # enable workarounds for linux saa7134 driver: up to version 0.2.6
 # - change VBI default sampling rate (because the driver doesn't support ioctl VIDIOCGVBIFMT)
@@ -105,9 +117,12 @@
 #WARN  += -Wpointer-arith -Werror
 CC      = gcc
 # the following flags can be overridden by an environment variable with the same name
-CFLAGS ?= -pipe -O
+CFLAGS ?= -pipe -O2
 CFLAGS += $(WARN) $(INCS) $(DEFS)
 #LDLIBS += -pg
+
+BUILD_DIR  = build-$(shell uname -m | sed -e 's/i.86/i386/' -e 's/ppc/powerpc/')
+INCS      += -I$(BUILD_DIR)
 
 # end Linux specific part
 endif
@@ -135,17 +150,38 @@
           epgtcl/shortcuts epgtcl/dlg_shortcuts epgtcl/draw_stats \
           epgtcl/dlg_filter epgtcl/dlg_substr epgtcl/dlg_remind \
           epgtcl/dlg_prov epgtcl/rcfile \
-          epgtcl/mclistbox epgtcl/combobox epgtcl/rnotebook
-
-OBJS    = $(addsuffix .o, $(CSRC)) $(addsuffix .o, $(TCLSRC))
-
-.PHONY: all
-all :: tcl_headers nxtvepg nxtvepg.1
-
-nxtvepg: $(OBJS)
-	$(CC) $(LDFLAGS) -o nxtvepg $(OBJS) $(LDLIBS)
-
-install: nxtvepg nxtvepg.1 Nxtvepg.ad
+          epgtcl/mclistbox epgtcl/combobox epgtcl/rnotebook epgtcl/htree
+
+TVSIM_CSRC    = tvsim/tvsim_main
+TVSIM_CSRC2   = epgctl/debug epgui/pdc_themes epgvbi/tvchan epgui/wintvcfg
+TVSIM_TCLSRC  = tvsim/tvsim_gui
+VBIREC_CSRC   = tvsim/vbirec_main
+VBIREC_CSRC2  = epgvbi/btdrv4linux epgvbi/vbidecode epgvbi/zvbidecoder \
+                epgvbi/ttxdecode epgvbi/hamming epgvbi/cni_tables \
+                epgvbi/syserrmsg epgctl/debug epgui/xawtv
+VBIREC_TCLSRC = tvsim/vbirec_gui
+
+NXTV_OBJS     = $(addprefix $(BUILD_DIR)/, $(addsuffix .o, $(CSRC) $(TCLSRC)))
+TVSIM_OBJS    = $(addprefix $(BUILD_DIR)/, $(addsuffix .o, $(TVSIM_CSRC) $(TVSIM_CSRC2) $(TVSIM_TCLSRC)))
+VBIREC_OBJS   = $(addprefix $(BUILD_DIR)/, $(addsuffix .o, $(VBIREC_CSRC) $(VBIREC_CSRC2) $(VBIREC_TCLSRC)))
+
+.PHONY: devel tvsim tvmans all
+devel   :: $(BUILD_DIR) tcl_headers $(BUILD_DIR)/nxtvepg nxtvepg.1
+tvsim   :: $(BUILD_DIR) tcl_headers_tvsim $(BUILD_DIR)/tvsimu $(BUILD_DIR)/vbirec tvmans
+tvmans  :: $(BUILD_DIR) tvsim/tvsim.html tvsim/vbirec.html tvsim/vbiplay.html
+all     :: devel tvsim tvmans
+
+$(BUILD_DIR)/nxtvepg: $(NXTV_OBJS)
+	$(CC) $(LDFLAGS) -o $@ $(NXTV_OBJS) $(LDLIBS)
+
+$(BUILD_DIR)/tvsimu: $(TVSIM_OBJS)
+	$(CC) $(LDFLAGS) $(TVSIM_OBJS) $(LDLIBS) -o $@
+
+$(BUILD_DIR)/vbirec: $(VBIREC_OBJS)
+	$(CC) $(LDFLAGS) $(VBIREC_OBJS) $(LDLIBS) -o $@
+
+.PHONY: install
+install: devel Nxtvepg.ad
 	test -d $(bindir) || install -d $(bindir)
 	test -d $(mandir) || install -d $(mandir)
 	test -d $(resdir)/app-defaults || install -d $(resdir)/app-defaults
@@ -153,15 +189,19 @@
 	test -d $(INST_DB_DIR) || install -d $(INST_DB_DIR)
 	chmod $(INST_DB_PERM) $(INST_DB_DIR)
 endif
-	install -c -m 0755 nxtvepg     $(bindir)
+	install -c -m 0755 $(BUILD_DIR)/nxtvepg $(bindir)
 	install -c -m 0644 nxtvepg.1   $(mandir)
 	install -c -m 0644 Nxtvepg.ad  $(resdir)/app-defaults/Nxtvepg
-	rm -f $(mandir)/nxtvepg.1x
 
 .SUFFIXES: .c .o .tcl
 
-%.c: %.tcl tcl2c
-	./tcl2c -d -c -h $*.tcl
+$(BUILD_DIR)/%.o: %.c
+	$(CC) $(CFLAGS) -Wp,-MMD,$(BUILD_DIR)/deps.tmp -c -o $@ $<
+	@sed -e "s#^[^ \t].*\.o:#$@:#" < $(BUILD_DIR)/deps.tmp > $@.dep && \
+	   rm -f $(BUILD_DIR)/deps.tmp
+
+$(BUILD_DIR)/%.c: %.tcl $(BUILD_DIR)/tcl2c
+	$(BUILD_DIR)/tcl2c -d -c -h -p $(BUILD_DIR) $*.tcl
 
 # %.h rule disabled because tcl2c doesn't update timestamp of generated headers
 # unless they changed, to avoid excessive re-compilation after internal script
@@ -169,33 +209,67 @@
 # of objects and depend targets to make sure all headers are already generated
 # when required, since there's no rule to generate them from Tcl scripts.
 #
-.PHONY: tcl_headers
-tcl_headers: $(addsuffix .c, $(TCLSRC))
-##%.h: %.tcl tcl2c
-##	./tcl2c -d -c -h $*.tcl
-
-tcl2c: tcl2c.c
-	$(CC) $(CFLAGS) -o tcl2c tcl2c.c
+%.h: %.tcl $(BUILD_DIR)/tcl2c
+	@if [ ! -e epgtcl/dlg_remind.h ] ; then \
+	  echo "Appearently you typed 'make nxtvepg'" ; \
+	  echo "Don't do that. Instead use simply 'make'" ; \
+          false ; \
+	fi
+
+.PHONY: tcl_headers tcl_headers_tvsim
+tcl_headers: $(addprefix $(BUILD_DIR)/, $(addsuffix .c, $(TCLSRC)))
+tcl_headers_tvsim: $(addprefix $(BUILD_DIR)/, $(addsuffix .c, $(TVSIM_TCLSRC) $(VBIREC_TCLSRC)))
+##%.h: %.tcl $(BUILD_DIR)/tcl2c
+##	$(BUILD_DIR)/tcl2c -d -c -h $*.tcl
+
+$(BUILD_DIR)/tcl2c: tcl2c.c
+	$(CC) $(CFLAGS) -o $(BUILD_DIR)/tcl2c tcl2c.c
 
 $(TCL_LIBRARY_PATH)/tclIndex $(TK_LIBRARY_PATH)/tclIndex :
-	@echo "$(@D) is not a valid Tcl/Tk library directory"
-	@echo "Check the definitions of TCL_LIBRARY_PATH and TK_LIBRARY_PATH"
-	@false
+	@if [ ! -f $(TCL_LIBRARY_PATH) -o ! -f $(TK_LIBRARY_PATH) ] ; then \
+	  echo "$(@D) is not a valid Tcl/Tk library directory"; \
+	  echo "Check the definitions of TCL_LIBRARY_PATH and TK_LIBRARY_PATH"; \
+	  false; \
+	fi
 
 epgui/loadtcl.c :: $(TCL_LIBRARY_PATH)/tclIndex $(TK_LIBRARY_PATH)/tclIndex
 
-nxtvepg.1 manual.html epgtcl/helptexts.tcl: nxtvepg.pod pod2help.pl
+.PHONY: bak
+bak:
+	cd .. && tar cf /c/transfer/pc.tar pc -X pc/tar-ex-win
+#	cd .. && tar cf pc1.tar pc -X pc/tar-ex && bzip2 -f -9 pc1.tar
+#	tar cf ../pc2.tar www ATTIC dsdrv?* tk8* tcl8* && bzip2 -f -9 ../pc2.tar
+
+$(BUILD_DIR):
+	if [ ! -d $@ ] ; then \
+	  mkdir $@; \
+	  mkdir $@/epgvbi $@/epgdb $@/epgctl $@/epgui $@/epgtcl; \
+	  mkdir $@/tvsim; \
+	fi
+
+# include dependencies (each object has one dependency file)
+-include $(BUILD_DIR)/*/*.dep
+
+# end UNIX specific part
+endif
+
+# ----- shared between all platforms -----------------------------------------
+
+.PHONY: clean
+clean:
+	-rm -rf build-*
+	-rm -f core a.out *.exe *.o
+	-rm -f epgui/tkwinico.res
+
+.PHONY: depend
+depend:
+	@echo "'make depend' is no longer required:"
+	@echo "dependencies are generated and updated while compiling."
+
+epgtcl/helptexts.tcl: nxtvepg.pod pod2help.pl
 	@if test -x $(PERL); then \
-	  EPG_VERSION_STR=`egrep '[ \t]*#[ \t]*define[ \t]*EPG_VERSION_STR' epgctl/epgversion.h | head -1 | cut -d\" -f2`; \
 	  echo "$(PERL) pod2help.pl nxtvepg.pod > epgtcl/helptexts.tcl"; \
 	  $(PERL) pod2help.pl nxtvepg.pod > epgtcl/helptexts.tcl; \
-	  echo "pod2man nxtvepg.pod > nxtvepg.1"; \
-	  pod2man -date " " -center "Nextview EPG Decoder" -section "1" \
-	          -release "nxtvepg "$$EPG_VERSION_STR" (C) 1999-2003 Tom Zoerner" \
-	     nxtvepg.pod > nxtvepg.1; \
-	  echo "pod2html nxtvepg.pod > manual.html"; \
-	  pod2html nxtvepg.pod | $(PERL) -p -e 's/HREF="#[^:]+: +/HREF="#/g;' > manual.html; \
-	  rm -f pod2htm?.x~~ pod2html-{dircache,itemcache}; \
 	elif test -f epgtcl/helptexts.tcl; then \
 	  touch epgtcl/helptexts.tcl; \
 	else \
@@ -203,29 +277,33 @@
 	  false; \
 	fi
 
-.PHONY: clean depend bak
-clean:
-	-rm -f *.o epg*/*.o dsdrv/*.[oa] tvsim/*.o
-	-rm -f core a.out *.exe tcl2c nxtvepg
-	-rm -f epgtcl/*.[ch] epgtcl/tcl_libs.tcl epgtcl/tk_libs.tcl
-	-rm -f tvsim/tvsim_gui.[ch] tvsim/vbirec_gui.[ch]
-
-depend: tcl_headers
-	-:>Makefile.dep
-	DIRLIST=`(for cmod in $(CSRC) $(TCLSRC); do echo $$cmod; done) | cut -d/ -f1 | sort -u`; \
-	for dir in $$DIRLIST; do \
-	  CLIST=`(for src in $(addsuffix .c, $(CSRC)) $(addsuffix .c, $(TCLSRC)); do echo $$src; done) | grep $$dir/`; \
-	  gcc -MM $(INCS) $(DEFS) $$CLIST | \
-	  sed -e 's#^.*\.o#'$$dir/'&#g' >> Makefile.dep; \
-	done
-
-bak:
-	cd .. && tar cf /c/transfer/pc.tar pc -X pc/tar-ex-win
-#	cd .. && tar cf pc1.tar pc -X pc/tar-ex && bzip2 -f -9 pc1.tar
-#	tar cf ../pc2.tar www ATTIC dsdrv?* tk8* tcl8* && bzip2 -f -9 ../pc2.tar
-
-include Makefile.dep
-
-# end UNIX specific part
-endif
-
+nxtvepg.1 manual.html: nxtvepg.pod pod2help.pl epgctl/epgversion.h
+	@if test -x $(PERL); then \
+	  EPG_VERSION_STR=`egrep '[ \t]*#[ \t]*define[ \t]*EPG_VERSION_STR' epgctl/epgversion.h | head -1 | sed -e 's#.*"\(.*\)".*#\1#'`; \
+	  echo "pod2man nxtvepg.pod > nxtvepg.1"; \
+	  pod2man -date " " -center "Nextview EPG Decoder" -section "1" \
+	          -release "nxtvepg "$$EPG_VERSION_STR" (C) 1999-2004 Tom Zoerner" \
+	     nxtvepg.pod > nxtvepg.1; \
+	  echo "pod2html nxtvepg.pod > manual.html"; \
+	  pod2html nxtvepg.pod | $(PERL) -p -e 's/(HREF=\"#)([^:"]+: |[^_"]+(_[^_"]+)?__)+/$$1/gi;' > manual.html; \
+	  rm -f pod2htm?.x~~ pod2html-{dircache,itemcache}; \
+	else \
+	  echo "ERROR: cannot generate manual page without Perl"; \
+	  false; \
+	fi
+
+tvsim/tvsim.1 tvsim/tvsim.html: tvsim/tvsim.pod tvsim/tvsim_version.h
+	@if test -x $(PERL); then \
+	  TVSIM_VERSION_STR=`egrep '[ \t]*#[ \t]*define[ \t]*TVSIM_VERSION_STR' tvsim/tvsim_version.h | head -1 | sed -e 's#.*"\(.*\)".*#\1#'`; \
+	  echo "pod2man tvsim/tvsim.pod > tvsim/tvsim.1"; \
+	  pod2man -date " " -center "TV app interaction simulator" -section "1" \
+	          -release "tvsim "$$TVSIM_VERSION_STR" (C) 2002,2004 Tom Zoerner" \
+	          tvsim/tvsim.pod > tvsim/tvsim.1; \
+	  echo "pod2html tvsim/tvsim.pod > tvsim/tvsim.html"; \
+	  pod2html tvsim/tvsim.pod | $(PERL) -p -e 's/(HREF=\"#)([^:"]+: |[^_"]+(_[^_"]+)?__)+/$$1/gi;' > tvsim/tvsim.html; \
+	  rm -f pod2htm?.x~~ pod2html-{dircache,itemcache}; \
+	else \
+	  echo "ERROR: cannot generate tvsim HTML or nroff manuals without Perl"; \
+	  false; \
+	fi
+

## nxtvepg 2.7.5

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 #
 #  Author: Tom Zoerner
 #
-#  $Id: Makefile,v 1.76 2004/07/18 12:58:31 tom Exp tom $
+#  $Id: Makefile,v 1.77.1.1 2005/03/30 15:48:11 tom Exp $
 #
 
 ifeq ($(OS),Windows_NT)
@@ -93,7 +93,7 @@
 # (note proxy API is still subject to change as of March-2004)
 #DEFS   += -DUSE_VBI_PROXY
 #LDLIBS += -lzvbi -lpthread -lpng
-#LDLIBS += /tom/work/tv/cvs/vbi/src/.libs/libzvbi.a -lpthread -lpng
+#LDLIBS += /tom/work/tv/cvs/x-ssh/vbi/src/.libs/libzvbi.a -lpthread -lpng
 
 # enable workarounds for linux saa7134 driver: up to version 0.2.6
 # - change VBI default sampling rate (because the driver doesn't support ioctl VIDIOCGVBIFMT)
@@ -159,7 +159,7 @@
 VBIREC_CSRC2  = epgvbi/btdrv4linux epgvbi/vbidecode epgvbi/zvbidecoder \
                 epgvbi/ttxdecode epgvbi/hamming epgvbi/cni_tables \
                 epgvbi/syserrmsg epgctl/debug epgui/xawtv
-VBIREC_TCLSRC = tvsim/vbirec_gui
+VBIREC_TCLSRC = tvsim/vbirec_gui epgtcl/combobox
 
 NXTV_OBJS     = $(addprefix $(BUILD_DIR)/, $(addsuffix .o, $(CSRC) $(TCLSRC)))
 TVSIM_OBJS    = $(addprefix $(BUILD_DIR)/, $(addsuffix .o, $(TVSIM_CSRC) $(TVSIM_CSRC2) $(TVSIM_TCLSRC)))
@@ -259,7 +259,6 @@
 clean:
 	-rm -rf build-*
 	-rm -f core a.out *.exe *.o
-	-rm -f epgui/tkwinico.res
 
 .PHONY: depend
 depend:
@@ -282,11 +281,11 @@
 	  EPG_VERSION_STR=`egrep '[ \t]*#[ \t]*define[ \t]*EPG_VERSION_STR' epgctl/epgversion.h | head -1 | sed -e 's#.*"\(.*\)".*#\1#'`; \
 	  echo "pod2man nxtvepg.pod > nxtvepg.1"; \
 	  pod2man -date " " -center "Nextview EPG Decoder" -section "1" \
-	          -release "nxtvepg "$$EPG_VERSION_STR" (C) 1999-2004 Tom Zoerner" \
+	          -release "nxtvepg "$$EPG_VERSION_STR" (C) 1999-2005 Tom Zoerner" \
 	     nxtvepg.pod > nxtvepg.1; \
 	  echo "pod2html nxtvepg.pod > manual.html"; \
 	  pod2html nxtvepg.pod | $(PERL) -p -e 's/(HREF=\"#)([^:"]+: |[^_"]+(_[^_"]+)?__)+/$$1/gi;' > manual.html; \
-	  rm -f pod2htm?.x~~ pod2html-{dircache,itemcache}; \
+	  rm -f pod2htm?.* pod2html-{dircache,itemcache}; \
 	else \
 	  echo "ERROR: cannot generate manual page without Perl"; \
 	  false; \
@@ -297,11 +296,11 @@
 	  TVSIM_VERSION_STR=`egrep '[ \t]*#[ \t]*define[ \t]*TVSIM_VERSION_STR' tvsim/tvsim_version.h | head -1 | sed -e 's#.*"\(.*\)".*#\1#'`; \
 	  echo "pod2man tvsim/tvsim.pod > tvsim/tvsim.1"; \
 	  pod2man -date " " -center "TV app interaction simulator" -section "1" \
-	          -release "tvsim "$$TVSIM_VERSION_STR" (C) 2002,2004 Tom Zoerner" \
+	          -release "tvsim "$$TVSIM_VERSION_STR" (C) 2002,2004,2005 Tom Zoerner" \
 	          tvsim/tvsim.pod > tvsim/tvsim.1; \
 	  echo "pod2html tvsim/tvsim.pod > tvsim/tvsim.html"; \
 	  pod2html tvsim/tvsim.pod | $(PERL) -p -e 's/(HREF=\"#)([^:"]+: |[^_"]+(_[^_"]+)?__)+/$$1/gi;' > tvsim/tvsim.html; \
-	  rm -f pod2htm?.x~~ pod2html-{dircache,itemcache}; \
+	  rm -f pod2htm?.* pod2html-{dircache,itemcache}; \
 	else \
 	  echo "ERROR: cannot generate tvsim HTML or nroff manuals without Perl"; \
 	  false; \
